> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List pending funder matches for a job

> Get all pending funder matches that need manual resolution for a specific upload job



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/broker_funder_policies/upload/{job_heron_id}/pending/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker_funder_policies/upload/{job_heron_id}/pending/:
    get:
      summary: List pending funder matches for a job
      description: >-
        Get all pending funder matches that need manual resolution for a
        specific upload job
      parameters:
        - description: The Heron ID of the upload job
          in: path
          name: job_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PendingMatchSchema'
                type: array
          description: List of pending matches
        '404':
          description: Job not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PendingMatchSchema:
      additionalProperties: false
      properties:
        candidates:
          items:
            $ref: '#/components/schemas/FunderCandidate'
          readOnly: true
          type: array
        index:
          readOnly: true
          type: integer
        matching_priority:
          nullable: true
          readOnly: true
          type: integer
        policy:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        resolved_funder_heron_id:
          nullable: true
          readOnly: true
          type: string
        spreadsheet_name:
          readOnly: true
          type: string
        status:
          readOnly: true
          type: string
      type: object
    FunderCandidate:
      additionalProperties: false
      properties:
        funder_heron_id:
          readOnly: true
          type: string
        funder_name:
          readOnly: true
          type: string
        similarity:
          readOnly: true
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````